// JavaScript Document
 $(document).ready(function(e) {
	$("#txtuser").keyup(function(){
		var elem = document.getElementById('txtuser').value;
		if(!elem.match(/^([a-z0-9\_])+$/i))
		{
			$("#txtnamaok").html("<font color=\"#FF0000\">อักษรภาษาอังกฤษเท่านั้น</form>");
		}else{
			$.post("checkuser.php",
			{
			 user: $("#txtuser").val()
			},
			function(data,status){
			 $("#txtnamaok").html(data);
			});
		}
	});
	$("#txtpass").keyup(function(){
		if($("#txtpass").val()!=""){
			$("#txtpassok").html("<font color=\"#00FF00\">ok</form>");
		}else{
			$("#txtpassok").html("*กรุณากรอกข้อมูล");
		}
	});	
	$("#txtpass2,#txtpass").keyup(function(){
		if($("#txtpass2").val()!=""){
			if($("#txtpass2").val()!=$("#txtpass").val()){
				$("#txtpassok2").html("<font color=\"#FF0000\">รหัสผ่านไม่ตรงกัน</form>");
			}
			else{
				$("#txtpassok2").html("<font color=\"#00FF00\">ok</form>");
			}
		}else{
			$("#txtpassok2").html("*กรุณากรอกข้อมูล");
		}
	});	
	$("#txtfname").keyup(function(){
		if($("#txtfname").val()!=""){
			$("#txtfnameok").html("<font color=\"#00FF00\">ok</form>");
		}else{
			$("#txtfnameok").html("*กรุณากรอกข้อมูล");;
		}
	});	
	$("#txtlname").keyup(function(){
		if($("#txtlname").val()!=""){
			$("#txtlnameok").html("<font color=\"#00FF00\">ok</form>");
		}
		else{
			$("#txtlnameok").html("*กรุณากรอกข้อมูล");
		}
	});	
	$("#id_key").keyup(function(){
		var elem = document.getElementById('id_key').value;
		if(!elem.match(/^([0-9])+$/i))
		{
			$("#id_keyok").html("<font color=\"#FF0000\">ตัวเลขเท่านั้น</form>");
		}else{
			if(elem.length>12){
				if($("#id_key").val()!=""){
					$("#id_keyok").html("<font color=\"#00FF00\">ok</form>");
				}
				else{
					$("#id_keyok").html("*กรุณากรอกข้อมูล");;
				}
			}else{
				$("#id_keyok").html("<font color=\"#FF0000\">*กรุณากรอกเลขทั้ง 13 ตัว</form>");
			}
		}
	});	
	$("#address").keyup(function(){
		if($("#address").val()!="")
			$("#addressok").html("<font color=\"#00FF00\">ok</form>");
		else{
			$("#addressok").html("*กรุณากรอกข้อมูล");
		}
	});
	$("#tel").keyup(function(){
		var elem = document.getElementById('tel').value;
		if(!elem.match(/^([0-9])+$/i))
		{	
			$("#telok").html("<font color=\"#FF0000\">ตัวเลขเท่านั้น</form>");
		}else{
			if(elem.length>9){
				if($("#tel").val()!=""){
					$("#telok").html("<font color=\"#00FF00\">ok</form>");
				}
				else{
					$("#telok").html("*กรุณากรอกข้อมูล");
					userok="no";
				}
			}else{
				$("#telok").html("<font color=\"#FF0000\">*กรุณากรอกเลขทั้ง 10 ตัว</form>");
			}
		}
	});
	$("#email").keyup(function(){
			var email=document.register.email.value;
			if (email.indexOf(' ')==-1 && 0<email.indexOf('@') && email.indexOf('@')+1 < email.length) {
				if($("#email").val()!=""){
					$("#emailok").html("<font color=\"#00FF00\">ok</form>");
				}else{
					$("#emailok").html("*กรุณากรอกข้อมูล");
				}
			}			
			else{
			 	$("#emailok").html("<font color=\"#FF0000\">E-mail ไม่ถูกต้อง</form>");
			}
	});
	
	$("#button").click(function(){
		$("#txtnamaok,#txtpassok,#txtpassok2,#txtfnameok,#txtlnameok,#emailok,#id_keyok,#telok,#addressok").html("*กรุณากรอกข้อมูล");
	});
	
	$("#register").submit(function(){
		var userok ="yes"
		if($("#txtuser").val()!=""&&$("#txtfname").val()!=""&&$("#txtlname").val()!=""&&$("#sex").val()!=""&&$("#id_key").val()!=""&&$("#address").val()!=""&&$("#tel").val()!=""&&$("#email").val()!=""&&$("#txtpass").val()!=""&&$("#txtpass2").val()!=""){}else{userok="no";}
		var elem = document.getElementById('id_key').value;
		if(!elem.match(/^([0-9])+$/i)){userok="no";}
		var elem2 = document.getElementById('tel').value;
		if(!elem2.match(/^([0-9])+$/i)){userok="no";}
		var email=document.register.email.value;
		if(email.indexOf(' ')==-1 && 0<email.indexOf('@') && email.indexOf('@')+1 < email.length) {}else{userok="no";}
		if(userok=="yes")
		{
			alert("กำลังทำการบันทึกข้อมูล");
			return true;
		}else{
			alert("คุณยังกรอกข้อมูลไม่ครบถ้วน");
			userok="yes";
			return false;	
		}
	});
});